/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.flowable.db.entity;

import net.northking.cctp.common.db.POJO;

import net.northking.cctp.common.saas.db.TenantPartition;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * 工序
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-06 11:54:15  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Entity
@Table(name = "ip_state")
@DynamicInsert
@DynamicUpdate
public class IpState extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_ipId = "ipId";
  public static final String KEY_shape = "shape";
  public static final String KEY_label = "label";
  public static final String KEY_memo = "memo";
  public static final String KEY_x = "x";
  public static final String KEY_y = "y";
  public static final String KEY_initialState = "initialState";
  public static final String KEY_finishedState = "finishedState";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
    @Id
    @Column(name = "id")
  private String id;
  /**
   * 实施流程定义<br>
   */
    @Column(name = "ip_id")
  private String ipId;
  /**
   * 图形样式<br>
   */
    @Column(name = "shape")
  private String shape;
  /**
   * 工序名称<br>
   */
    @Column(name = "label")
  private String label;
  /**
   * 详细描述<br>
   */
    @Column(name = "memo")
  private String memo;
  /**
   * 横坐标<br>
   */
    @Column(name = "x")
  private Integer x;
  /**
   * 纵坐标<br>
   */
    @Column(name = "y")
  private Integer y;
  /**
   * 是否初始<br>
   */
    @Column(name = "is_initial_state")
  private Boolean initialState;
  /**
   * 是否最终<br>
   */
    @Column(name = "is_finished_state")
  private Boolean finishedState;
  /**
   * 租户<br>
   */
    @Column(name = "tenant_id")
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 实施流程定义<br>
   */
  public String getIpId()
  {
      return ipId;
    }

  /**
   * 实施流程定义<br>
   *
   * @param ipId 实施流程定义
   */
  public void setIpId(String ipId)
  {
      this.ipId = ipId;
    }
  /**
   * 图形样式<br>
   */
  public String getShape()
  {
      return shape;
    }

  /**
   * 图形样式<br>
   *
   * @param shape 图形样式
   */
  public void setShape(String shape)
  {
      this.shape = shape;
    }
  /**
   * 工序名称<br>
   */
  public String getLabel()
  {
      return label;
    }

  /**
   * 工序名称<br>
   *
   * @param label 工序名称
   */
  public void setLabel(String label)
  {
      this.label = label;
    }
  /**
   * 详细描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 详细描述<br>
   *
   * @param memo 详细描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 横坐标<br>
   */
  public Integer getX()
  {
      return x;
    }

  /**
   * 横坐标<br>
   *
   * @param x 横坐标
   */
  public void setX(Integer x)
  {
      this.x = x;
    }
  /**
   * 纵坐标<br>
   */
  public Integer getY()
  {
      return y;
    }

  /**
   * 纵坐标<br>
   *
   * @param y 纵坐标
   */
  public void setY(Integer y)
  {
      this.y = y;
    }
  /**
   * 是否初始<br>
   */
  public Boolean getInitialState()
  {
      return initialState;
    }

  /**
   * 是否初始<br>
   *
   * @param initialState 是否初始
   */
  public void setInitialState(Boolean initialState)
  {
      this.initialState = initialState;
    }
  /**
   * 是否最终<br>
   */
  public Boolean getFinishedState()
  {
      return finishedState;
    }

  /**
   * 是否最终<br>
   *
   * @param finishedState 是否最终
   */
  public void setFinishedState(Boolean finishedState)
  {
      this.finishedState = finishedState;
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public IpState()
  {
  }

}
